Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Get shop settings

GET/shops/{id}/settings
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Responses
200Shop with settings
_linksHalLinks
idinteger
seller_idinteger
account_idinteger
namestring
subdomainstring
urlstring
descriptionstring
localestring
currency_codestring
timezonestring
asset_countinteger
product_countsobject
Show properties
visibleinteger
blockedinteger
hiddeninteger
products_use_variant_pricesboolean
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X GET "https://api.onbolder.com/v2/shops/0/settings" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": 1,
  "name": "My Store",
  "subdomain": "mystore",
  "currency": "USD",
  "country": "US",
  "tax_rate": 0.21,
  "shipping_zones": [
    "domestic",
    "international"
  ],
  "payment_methods": [
    "credit_card",
    "paypal"
  ],
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops/1/settings"
    }
  }
}